# $Revision: 1.18 $, $Date: 2008/02/26 23:14:39 $
Summary:	Font post (un)installation script
Summary(pl.UTF-8):	Skrypt po(de)instalacyjny dla fontów
Name:		fontpostinst
Version:	0.1
Release:	15
License:	Free
Group:		Applications/System
Source0:	%{name}
Requires:	fileutils
Requires:	textutils
Suggests:	fontconfig
Suggests:	t1lib
Suggests:	xorg-app-mkfontdir
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Script to be called after each fonts installation or uninstallation.
It supports regeneration of XFree86 fonts.alias, fonts.scale,
fonts.dir files, gnome-font catalogs, ghostscript Fontmaps,
fontconfig/xft cache and t1lib FontDatabase.

%description -l pl.UTF-8
Skrypt do wywoływania po każdym instalowaniu lub odinstalowaniu
fontów. Potrafi regenerować pliki fonts.alias, fonts.scale i fonts.dir
XFree86, katalogi gnome-font, pliki Fontmap ghostscripta, cache
fontconfig/xft oraz plik FontDatabase t1lib.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fontpostinst.spec,v $
Revision 1.18  2008/02/26 23:14:39  gotar
- some suggestions

Revision 1.17  2007-12-25 23:19:33  qboosh
- release 15: silent by default, -v switch for debugging

Revision 1.16  2007-11-14 09:20:07  arekm
- rel 14; be more verbose on what's hapenning

Revision 1.15  2007/02/19 16:35:41  arekm
- rel 12

Revision 1.14  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.12  2007/01/07 18:35:29  deejay1
- rel. 11 for rpm

Revision 1.11  2006/04/04 07:37:18  arekm
- ready for th and ac paths

Revision 1.10  2004/06/10 19:49:59  ankry
- don't return non-zero, rel. 9

Revision 1.9  2003/12/10 20:48:58  qboosh
- script fix by jajcus: exit if cd fails; release 8

Revision 1.8  2003/08/30 17:13:57  mmazur
- rel 7 for ac

Revision 1.7  2003/06/20 17:44:16  wiget
- t1lib FontDatabase support
- release 6

Revision 1.6  2003/06/19 12:46:36  gotar
- non-XFree fontconfig support,
- release 5, STBR.

Revision 1.5  2003/06/16 22:30:18  qboosh
- added "local" type, release 4

Revision 1.4  2003/06/03 20:56:48  qboosh
- some syntax errors fixed
- noarch
- release 3

Revision 1.3  2003/06/03 20:05:22  qboosh
- support fonts.scale.* merging for CID and Speedo
- cyrillic are raster fonts (treat like 75dpi and 100dpi)
- no action for PEX
- release 2

Revision 1.2  2003/05/25 05:47:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/15 19:55:12  qboosh
- added mkfontscale->ttmkfdir fallback for X <= 4.2.x
- save some files instead of removing (in case they weren't autogenerated)
- created spec (it's separate, not in any XFree86* package - it can
  regenerate ghostscript Fontmaps without any XFree86 part)
